Template::Plugin::Format(3pm)

NAME
Template::Plugin::Format - Plugin to create formatting functions

SYNOPSIS
    [% USE format %]
    [% commented = format('# %s') %]
    [% commented('The cat sat on the mat') %]

    [% USE bold = format('<b>%s</b>') %]
    [% bold('Hello') %]

DESCRIPTION
The format plugin constructs sub-routines which format text according to a printf()-like format string.

AUTHOR
Andy Wardley <abw@wardley.org> <http://wardley.org/>

COPYRIGHT
Copyright (C) 1996-2007 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin